import { ChangeEvent } from "react";
interface ValueProps {
    value: number | string;
    displayValue: number | string;
}
export declare const useDateOfBirth: (date: number, onDateChanged: (x: number | null) => {}) => {
    year: ValueProps | undefined;
    month: ValueProps | undefined;
    day: ValueProps | undefined;
    years: any;
    months: {
        value: number;
        displayValue: string;
    }[];
    days: {
        value: number;
        displayValue: number;
    }[];
    handleChooseDay: (e: ChangeEvent<HTMLSelectElement>) => void;
    handleChooseMonth: ({ target: { value: val } }: ChangeEvent<HTMLSelectElement>) => void;
    handleChooseYear: ({ target: { value: val } }: ChangeEvent<HTMLSelectElement>) => void;
};
export {};
